# ChkNotMaskEv.h File Reference

Go to the source code of this file.

## Functions

Bool | XCheckNotMaskEvent (Display *dpy, long mask, XEvent *event)

## Detailed Description

Interface for XCheckNotMaskEvent function.

See also:
  ChkNotMaskEv.c

## Function Documentation

Bool XCheckNotMaskEvent | ( | Display * | dpy,
|  | long | mask,
|  | XEvent * | event |
| ) |  |  |

Check existing events in queue to find if any match. If so, return. If not, flush buffer and see if any more events are readable. If one matches, return. If all else fails, tell the user no events found.

References _Xevent_to_mask.

Referenced by dmxBackendTestEvents().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>